ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Member Functions | Private Attributes | List of all members
UpperTesterMapemSpatemCodec Class Reference

`#include <UpperTesterMapemSpatemCodec.hh>`

Inheritance diagram for UpperTesterMapemSpatemCodec:

## Public Member Functions
| UpperTesterMapemSpatemCodec ()
virtual | ~UpperTesterMapemSpatemCodec ()
virtual int | encode (const Record_Type &, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, Record_Type &, Params *params=NULL)
| Encode typed message into an octet string format. More...
std::unique_ptr< Base_Type > | decode (const OCTETSTRING &data, Params *params=NULL)
Public Member Functions inherited from Codec< Record_Type, Record_Type >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions
int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | decode (const OCTETSTRING &data, LibItsMapemSpatem__TypesAndValues::UtMapemSpatemResults &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsMapemSpatem__TypesAndValues::UtMapemEventInd &msg, Params *params=NULL)
int | decode (const OCTETSTRING &data, LibItsMapemSpatem__TypesAndValues::UtSpatemEventInd &msg, Params *params=NULL)

## Private Attributes
const unsigned char | c_utMapemSpatemInitialize = 0x00
const unsigned char | c_utMapemSpatemInitializeResult = 0x01
const unsigned char | c_utMapemSpatemTrigger = 0xAB
const unsigned char | c_utMapemSpatemTriggerResult = 0xAC
const unsigned char | c_utMapemEventInd = 0xAF
const unsigned char | c_utSpatemEventInd = 0xB0

## Additional Inherited Members
Protected Attributes inherited from Codec< Record_Type, Record_Type >
Params * | _params

## Constructor & Destructor Documentation

## ◆ UpperTesterMapemSpatemCodec()

UpperTesterMapemSpatemCodec::UpperTesterMapemSpatemCodec | ( |  | ) |
| inline

## ◆ ~UpperTesterMapemSpatemCodec()

virtual UpperTesterMapemSpatemCodec::~UpperTesterMapemSpatemCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode() [1/5]

int UpperTesterMapemSpatemCodec::decode | ( | const OCTETSTRING & | p_,
|  | Record_Type & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ decode() [2/5]

std::unique_ptr< Base_Type > UpperTesterMapemSpatemCodec::decode | ( | const OCTETSTRING & | data,
|  | Params * | params = `NULL`
| ) |  |

## ◆ decode() [3/5]

int UpperTesterMapemSpatemCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsMapemSpatem__TypesAndValues::UtMapemSpatemResults & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ decode() [4/5]

int UpperTesterMapemSpatemCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsMapemSpatem__TypesAndValues::UtMapemEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ decode() [5/5]

int UpperTesterMapemSpatemCodec::decode | ( | const OCTETSTRING & | data,
|  | LibItsMapemSpatem__TypesAndValues::UtSpatemEventInd & | msg,
|  | Params * | params = `NULL`
| ) |  |
| private

## ◆ encode()

int UpperTesterMapemSpatemCodec::encode | ( | const Record_Type & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< Record_Type, Record_Type >.

## ◆ encode_()

int UpperTesterMapemSpatemCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## Member Data Documentation

## ◆ c_utMapemEventInd

const unsigned char UpperTesterMapemSpatemCodec::c_utMapemEventInd = 0xAF
| private

## ◆ c_utMapemSpatemInitialize

const unsigned char UpperTesterMapemSpatemCodec::c_utMapemSpatemInitialize = 0x00
| private

## ◆ c_utMapemSpatemInitializeResult

const unsigned char UpperTesterMapemSpatemCodec::c_utMapemSpatemInitializeResult = 0x01
| private

## ◆ c_utMapemSpatemTrigger

const unsigned char UpperTesterMapemSpatemCodec::c_utMapemSpatemTrigger = 0xAB
| private

## ◆ c_utMapemSpatemTriggerResult

const unsigned char UpperTesterMapemSpatemCodec::c_utMapemSpatemTriggerResult = 0xAC
| private

## ◆ c_utSpatemEventInd

const unsigned char UpperTesterMapemSpatemCodec::c_utSpatemEventInd = 0xB0
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterMapemSpatemCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterMapemSpatemCodec.cc